Name: dpkg
Version: 1.13.11
Release: alt0.1

Summary: Package maintenance system for Debian Linux

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: GPL
Group: File tools
Url: http://www.dpkg.org/

Source: ftp://ftp.debian.org/debian/pool/main/d/%name/%{name}_%version.tar.bz2
Patch: %name-no-debiandoc.patch
Patch1: %name-opt.patch
Patch2: %name-acfix.patch

# hack to avoid find-perl-provides bug
Provides: perl(controllib.pl)

# Automatically added by buildreq on Thu Dec 22 2005
BuildRequires: bzlib-devel gcc-c++ libps-devel zlib-devel

%description
This package contains the programs which handle the installation and
removal of packages in Debian Linux distributions.

The primary interface for the dpkg suite is the `dselect' program; a
more low-level and less user-friendly interface is available in the
form of the `dpkg' command.

In order to unpack and build Debian source packages you will need to
install the developers' package `dpkg-dev' as well as this one.

# this doesn't work
%add_findprov_lib_path %_libdir/%name

%prep
%setup -q
#%patch0 -p1
#%patch1 -p1
#%patch2 -p1

# another hack to avoid find-perl-provides bug
%__subst 's,\(us\)e\( file\),\1\2,g' scripts/dpkg-scansources*
# do not build utils
%__subst 's, utils,,' Makefile.in

%build
%configure \
	--enable-shared \
	--without-dselect \
	--with-admindir=%_localstatedir/%name
%make

%install
%__install -d %buildroot%_docdir/%name
%make_install DESTDIR=%buildroot \
	gnulocaledir=%buildroot%_datadir/locale install
#%__gzip -9nf %buildroot%_docdir/%name/*

%find_lang %name --with-man --output=%name.lang deb deb-old install-info update-alternatives update-rc dselect 822-date dpkg-architecture dpkg-checkbuilddeps dpkg-name dpkg-query dpkg-scanpackages dpkg-scansources dpkg-source deb-control dpkg-divert dpkg-statoverride dpkg-split dpkg.cfg dselect.cfg dpkg-gencontrol

%files -f %name.lang
#%doc doc/database-structure.fig doc/internals.sgml
%_defaultdocdir/%name
%_bindir/*
%_sbindir/*dpkg*
%_libdir/%name
%_localstatedir/%name
#%_mandir/man?/*
%exclude %_sbindir/install-info
%exclude %_mandir/man?/*info*
%exclude %_mandir/man?/*alternatives*
%exclude %_mandir/man?/*update*

%changelog
* Wed Dec 21 2005 Vitaly Lipatov <lav@altlinux.ru> 1.13.11-alt0.1
- new version

* Thu May 06 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.6.15-alt6
- do not build utils (md5sum, start-stop-daemon).
- use find-lang --with-man.

* Wed May 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.15-alt5
- fixed dependencies.

* Mon May 19 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.6.15-alt4
- exclude {%%_sbindir,%%_man8dir}/*start-stop-daemon*

* Tue Oct 15 2002 Stanislav Ievlev <inger@altlinux.ru> 1.6.15-alt3
- exclude manpages provided by other packages

* Mon Oct 14 2002 Stanislav Ievlev <inger@altlinux.ru> 1.6.15-alt2
- rebuild with gcc3
- comment locale man pages: must be in man-pages-locale package (ALT Packaging Policy).
- little spec improvements

* Tue Nov 13 2001 Yuri N. Sedunov <aris@altlinux.ru> 1.4.8-alt1
- First build for Sisyphus. Thanks PLD Team for specfile.
